import 'package:animated_text_kit/animated_text_kit.dart';
import 'package:flutter/material.dart';

class InitAppBarTitle extends StatelessWidget {
  final List<String> title;
  final List<Color> color;
  final Duration speed;
  final TextStyle textStyle;
  final TextAlign textAlign;
  final AlignmentDirectional alignmentDirectional;
  InitAppBarTitle(
      {@required this.title,
      this.color,
      this.speed,
      this.textStyle,
      this.textAlign,
      this.alignmentDirectional});
  @override
  Widget build(BuildContext context) {
    return ColorizeAnimatedTextKit(
      speed: speed ?? Duration(milliseconds: 200),
      repeatForever: true,
      isRepeatingAnimation: true,
      text: title,
      textStyle: textStyle ?? TextStyle(fontSize: 25),
      colors: color ??
          [
            Colors.purple,
            Colors.blue,
            Colors.yellow,
            Colors.red,
          ],
      textAlign: textAlign ?? TextAlign.start,
      alignment: alignmentDirectional ??
          AlignmentDirectional.topStart // or Alignment.topLeft
      ,
    );
  }
}

class InitDropdown extends StatelessWidget {
  final List<DropdownItem> ltItem;
  final DropdownItem itemSelected;
  final Function(DropdownItem) fuc;
  InitDropdown(
      {@required this.ltItem, @required this.itemSelected, @required this.fuc});
  @override
  Widget build(BuildContext context) {
    return DropdownButton<DropdownItem>(
      isExpanded: true,
      value: itemSelected,
      items: ltItem.map<DropdownMenuItem<DropdownItem>>((DropdownItem value) {
        return DropdownMenuItem<DropdownItem>(
          value: value,
          child: Text(value.TextContent),
        );
      }).toList(),
      onChanged: fuc,
    );
  }
}

class DropdownItem {
  String Value;
  String TextContent;
  DropdownItem(this.TextContent, this.Value);
}
