import 'package:flutter/material.dart';
import 'colors.dart';
import 'settings_section.dart';

class SettingsList extends StatelessWidget {
  final List<SettingsSection> sections;

  final Color backgroundColor;
  final int viewStyleIos;
  const SettingsList(
      {Key key, this.sections, this.backgroundColor, this.viewStyleIos = 0})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    var settingSection = sections;
    if (this.viewStyleIos > 0)
      settingSection.forEach((element) {
        element.viewStyleIos = this.viewStyleIos;
      });
    return Container(
      color: Theme.of(context).brightness == Brightness.light
          ? backgroundGray
          : backgroundColor ?? Colors.black,
      child: ListView.builder(
        itemCount: settingSection.length,
        itemBuilder: (context, index) {
          SettingsSection current = settingSection[index];
          SettingsSection futureOne;
          try {
            futureOne = settingSection[index + 1];
          } catch (e) {}

          // Add divider if title is null
          if (futureOne != null && futureOne.title != null) {
            current.showBottomDivider = false;
            return current;
          } else {
            current.showBottomDivider = true;
            return current;
          }
        },
      ),
    );
  }
}
